diff -Nru audiofile-0.2.6/libaudiofile/avr.c audiofile-0.2.7/libaudiofile/avr.c
--- audiofile-0.2.6/libaudiofile/avr.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/avr.c	2010-03-19 04:03:58.000000000 +0100
@@ -30,15 +30,10 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
-#include <stdio.h>
+#include <stdint.h>
 #include <stdlib.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "audiofile.h"
 #include "afinternal.h"
 #include "track.h"
@@ -52,9 +47,9 @@
 {
 	_AF_VALID_FILESETUP,	/* valid */
 	AF_FILE_AVR,		/* fileFormat */
-	AF_TRUE,		/* trackSet */
-	AF_TRUE,		/* instrumentSet */
-	AF_TRUE,		/* miscellaneousSet */
+	true,			/* trackSet */
+	true,			/* instrumentSet */
+	true,			/* miscellaneousSet */
 	1,			/* trackCount */
 	NULL,			/* tracks */
 	0,			/* instrumentCount */
@@ -65,22 +60,22 @@
 
 bool _af_avr_recognize (AFvirtualfile *fh)
 {
-	u_int32_t	magic;
+	uint32_t	magic;
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(&magic, 4, 1, fh) != 1 || memcmp(&magic, "2BIT", 4) != 0)
-		return AF_FALSE;
+		return false;
 
-	return AF_TRUE;
+	return true;
 }
 
 status _af_avr_read_init (AFfilesetup setup, AFfilehandle file)
 {
-	u_int32_t	magic;
+	uint32_t	magic;
 	char		name[8];
-	u_int16_t	mono, resolution, sign, loop, midi;
-	u_int32_t	rate, size, loopStart, loopEnd;
+	uint16_t	mono, resolution, sign, loop, midi;
+	uint32_t	rate, size, loopStart, loopEnd;
 	char		reserved[26];
 	char		user[64];
 
@@ -175,7 +170,7 @@
 	track->fpos_first_frame = af_ftell(file->fh);
 	track->totalfframes = size;
 	track->data_size = track->totalfframes *
-		_af_format_frame_size(&track->f, AF_FALSE);
+		(int) _af_format_frame_size(&track->f, false);
         track->nextfframe = 0;
         track->fpos_next_frame = track->fpos_first_frame;
 
@@ -254,5 +249,5 @@
 		return AF_NULL_FILESETUP;
 	}
 
-	return _af_filesetup_copy(setup, &_af_avr_default_filesetup, AF_FALSE);
+	return _af_filesetup_copy(setup, &_af_avr_default_filesetup, false);
 }
diff -Nru audiofile-0.2.6/libaudiofile/avrwrite.c audiofile-0.2.7/libaudiofile/avrwrite.c
--- audiofile-0.2.6/libaudiofile/avrwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/avrwrite.c	2010-03-15 11:41:30.000000000 +0100
@@ -29,14 +29,11 @@
 #include <config.h>
 #endif
 
+#include <assert.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <assert.h>
-
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
 
 #include "audiofile.h"
 #include "afinternal.h"
@@ -49,7 +46,7 @@
 status _af_avr_update (AFfilehandle file)
 {
 	_Track		*track;
-	u_int32_t	size, loopStart, loopEnd;
+	uint32_t	size, loopStart, loopEnd;
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
 
@@ -83,8 +80,8 @@
 {
 	_Track		*track;
 	char		name[8];
-	u_int16_t	mono, resolution, sign, loop, midi;
-	u_int32_t	rate, size, loopStart, loopEnd;
+	uint16_t	mono, resolution, sign, loop, midi;
+	uint32_t	rate, size, loopStart, loopEnd;
 	char		reserved[26];
 	char		user[64];
 
diff -Nru audiofile-0.2.6/libaudiofile/byteorder.c audiofile-0.2.7/libaudiofile/byteorder.c
--- audiofile-0.2.6/libaudiofile/byteorder.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/byteorder.c	2010-03-15 11:41:30.000000000 +0100
@@ -24,18 +24,20 @@
 	This file defines functions which swap bytes.
 */
 
-#include <sys/types.h>
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 #include "byteorder.h"
-#include "util.h"
 
-u_int16_t _af_byteswap_int16 (u_int16_t x)
+uint16_t _af_byteswap_int16 (uint16_t x)
 {
 	return ((x << 8) | (x >> 8));
 }
 
-u_int32_t _af_byteswap_int32 (u_int32_t x)
+uint32_t _af_byteswap_int32 (uint32_t x)
 {
-	u_int8_t	b1, b2, b3, b4;
+	uint8_t	b1, b2, b3, b4;
 
 	b1 = x>>24;
 	b2 = (x>>16) & 0xff;
@@ -48,7 +50,7 @@
 float _af_byteswap_float32 (float x)
 {
 	float		f = x;
-	u_int32_t	*l = (u_int32_t *) &f;
+	uint32_t	*l = (uint32_t *) &f;
 
 	*l = _af_byteswap_int32(*l);
 
@@ -58,7 +60,7 @@
 /*
 uint64_t _af_byteswap_int64 (uint64_t x)
 {
-	u_int8_t	b1, b2, b3, b4, b5, b6, b7, b8;
+	uint8_t	b1, b2, b3, b4, b5, b6, b7, b8;
 
 	b1 = (x>>56) & 0xff;
 	b2 = (x>>48) & 0xff;
diff -Nru audiofile-0.2.6/libaudiofile/byteorder.h audiofile-0.2.7/libaudiofile/byteorder.h
--- audiofile-0.2.6/libaudiofile/byteorder.h	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/byteorder.h	2010-03-15 11:41:30.000000000 +0100
@@ -30,31 +30,23 @@
 
 #include <config.h>
 
+#include <stdint.h>
+
 #if WORDS_BIGENDIAN
-	#define __BIGENDIAN__
 	#define _AF_BYTEORDER_NATIVE (AF_BYTEORDER_BIGENDIAN)
 #else
-	#define __LITTLEENDIAN__
 	#define _AF_BYTEORDER_NATIVE (AF_BYTEORDER_LITTLEENDIAN)
 #endif
 
-#ifndef uint16
-typedef u_int16_t uint16;
-#endif
-
-#ifndef uint32
-typedef u_int32_t uint32;
-#endif
-
-#ifdef __LITTLEENDIAN__
+#if !WORDS_BIGENDIAN
 
-#define HOST_TO_LENDIAN_INT16(x)		((uint16) (x))
-#define HOST_TO_LENDIAN_INT32(x)		((uint32) (x))
+#define HOST_TO_LENDIAN_INT16(x)		((uint16_t) (x))
+#define HOST_TO_LENDIAN_INT32(x)		((uint32_t) (x))
 #define HOST_TO_LENDIAN_FLOAT32(x)		((float) (x))
 #define HOST_TO_LENDIAN_DOUBLE64(x)		((double) (x))
 
-#define LENDIAN_TO_HOST_INT16(x)		((uint16) (x))
-#define LENDIAN_TO_HOST_INT32(x)		((uint32) (x))
+#define LENDIAN_TO_HOST_INT16(x)		((uint16_t) (x))
+#define LENDIAN_TO_HOST_INT32(x)		((uint32_t) (x))
 #define LENDIAN_TO_HOST_FLOAT32(x)		((float) (x))
 #define LENDIAN_TO_HOST_DOUBLE64(x)		((double) (x))
 
@@ -72,15 +64,15 @@
 
 #endif
 
-#ifdef __BIGENDIAN__
+#if WORDS_BIGENDIAN
 
-#define HOST_TO_BENDIAN_INT16(x)		((uint16) (x))
-#define HOST_TO_BENDIAN_INT32(x)		((uint32) (x))
+#define HOST_TO_BENDIAN_INT16(x)		((uint16_t) (x))
+#define HOST_TO_BENDIAN_INT32(x)		((uint32_t) (x))
 #define HOST_TO_BENDIAN_FLOAT32(x)		((float) (x))
 #define HOST_TO_BENDIAN_DOUBLE64(x)		((double) (x))
 
-#define BENDIAN_TO_HOST_INT16(x)		((uint16) (x))
-#define BENDIAN_TO_HOST_INT32(x)		((uint32) (x))
+#define BENDIAN_TO_HOST_INT16(x)		((uint16_t) (x))
+#define BENDIAN_TO_HOST_INT32(x)		((uint32_t) (x))
 #define BENDIAN_TO_HOST_FLOAT32(x)		((float) (x))
 #define BENDIAN_TO_HOST_DOUBLE64(x)		((double) (x))
 
@@ -98,8 +90,8 @@
 
 #endif
 
-u_int16_t _af_byteswap_int16 (u_int16_t x);
-u_int32_t _af_byteswap_int32 (u_int32_t x);
+uint16_t _af_byteswap_int16 (uint16_t x);
+uint32_t _af_byteswap_int32 (uint32_t x);
 float _af_byteswap_float32 (float x);
 double _af_byteswap_double64 (double x);
 
diff -Nru audiofile-0.2.6/libaudiofile/compression.c audiofile-0.2.7/libaudiofile/compression.c
--- audiofile-0.2.6/libaudiofile/compression.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/compression.c	2010-03-17 09:43:40.000000000 +0100
@@ -37,7 +37,7 @@
 #include "units.h"
 #include "util.h"
 
-extern _CompressionUnit _af_compression[];
+extern const _CompressionUnit _af_compression[];
 
 int _af_compression_index_from_id (int compressionid)
 {
@@ -54,7 +54,7 @@
 	return -1;
 }
 
-static _CompressionUnit *findCompression (int compressionid)
+static const _CompressionUnit *findCompression (int compressionid)
 {
 	int	compressionno;
 
diff -Nru audiofile-0.2.6/libaudiofile/data.c audiofile-0.2.7/libaudiofile/data.c
--- audiofile-0.2.6/libaudiofile/data.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/data.c	2010-03-17 06:31:21.000000000 +0100
@@ -70,12 +70,12 @@
 
 	/* } */
 
-	bytes_per_vframe = _af_format_frame_size(&track->v, AF_TRUE);
+	bytes_per_vframe = _af_format_frame_size(&track->v, true);
 
 	firstmod = &track->ms.module[0];
 	userc = &track->ms.chunk[0];
 
-	track->filemodhappy = AF_TRUE;
+	track->filemodhappy = true;
 
 	vframe = 0;
 #ifdef UNLIMITED_CHUNK_NVFRAMES
@@ -110,7 +110,7 @@
 
 			(*firstmod->mod->run_push)(firstmod);
 
-			if (track->filemodhappy == AF_FALSE)
+			if (!track->filemodhappy)
 				break;
 
 			vframe += userc->nframes;
@@ -166,12 +166,12 @@
 		nvframes2read = (nvframeswanted > nvframesleft) ?
 			nvframesleft : nvframeswanted;
 	}
-	bytes_per_vframe = _af_format_frame_size(&track->v, AF_TRUE);
+	bytes_per_vframe = _af_format_frame_size(&track->v, true);
 
 	firstmod = &track->ms.module[track->ms.nmodules-1];
 	userc = &track->ms.chunk[track->ms.nmodules];
 
-	track->filemodhappy = AF_TRUE;
+	track->filemodhappy = true;
 
 	vframe = 0;
 
@@ -187,7 +187,7 @@
 	}
 	else
 	{
-		bool	eof = AF_FALSE;
+		bool	eof = false;
 
 		if (track->frames2ignore != 0)
 		{
@@ -200,7 +200,7 @@
 
 			/* Have we hit EOF? */
 			if (userc->nframes < track->frames2ignore)
-				eof = AF_TRUE;
+				eof = true;
 
 			track->frames2ignore = 0;
 
@@ -231,7 +231,7 @@
 			{
 				vframe += userc->nframes;
 				if (userc->nframes < nvframes2pull)
-					eof = AF_TRUE;
+					eof = true;
 			}
 		}
 	}
diff -Nru audiofile-0.2.6/libaudiofile/debug.c audiofile-0.2.7/libaudiofile/debug.c
--- audiofile-0.2.6/libaudiofile/debug.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/debug.c	2010-03-17 09:43:40.000000000 +0100
@@ -49,9 +49,9 @@
 #include "print.h"
 #include "debug.h"
 
-extern _CompressionUnit _af_compression[];
+extern const _CompressionUnit _af_compression[];
 
-void _af_printid (u_int32_t id)
+void _af_printid (uint32_t id)
 {
 	printf("%c%c%c%c",
 		(id >> 24) & 0xff,
@@ -259,7 +259,7 @@
 	double slope, double intercept, double minclip, double maxclip)
 {
 	char linebuf[81];
-	int wavewidth = wavewidth = 78 - numberwidth*nchannels - 6;
+	int wavewidth = 78 - numberwidth*nchannels - 6;
 	int c;
 
 	memset(linebuf, ' ', 80);
@@ -370,7 +370,7 @@
 			bool issigned = (fmt.sampleFormat==AF_SAMPFMT_TWOSCOMP);
 
 			/* # of bytes taken by the value */
-			int realbytes = _af_format_sample_size_uncompressed(&fmt, AF_TRUE);
+			int realbytes = _af_format_sample_size_uncompressed(&fmt, true);
 
 			switch (realbytes)
 			{
diff -Nru audiofile-0.2.6/libaudiofile/debug.h audiofile-0.2.7/libaudiofile/debug.h
--- audiofile-0.2.6/libaudiofile/debug.h	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/debug.h	2010-03-15 11:41:30.000000000 +0100
@@ -28,11 +28,11 @@
 #ifndef DEBUG_H
 #define DEBUG_H
 
-#include <sys/types.h>
+#include <stdint.h>
 #include "audiofile.h"
 #include "afinternal.h"
 
-void _af_printid (u_int32_t id);
+void _af_printid (uint32_t id);
 void _af_print_filehandle (AFfilehandle filehandle);
 void _af_print_tracks (AFfilehandle filehandle);
 void _af_print_channel_matrix (double *matrix, int fchans, int vchans);
diff -Nru audiofile-0.2.6/libaudiofile/format.c audiofile-0.2.7/libaudiofile/format.c
--- audiofile-0.2.6/libaudiofile/format.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/format.c	2010-03-17 09:43:40.000000000 +0100
@@ -30,11 +30,11 @@
 #include <config.h>
 #endif
 
-#include <sys/types.h>
+#include <assert.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
-#include <assert.h>
 
 #include "audiofile.h"
 #include "util.h"
@@ -43,7 +43,7 @@
 #include "units.h"
 #include "modules.h"
 
-extern _Unit _af_units[];
+extern const _Unit _af_units[];
 
 AFfileoffset afGetDataOffset (AFfilehandle file, int trackid)
 {
@@ -74,8 +74,8 @@
 	afGetFrameSize returns the size (in bytes) of a sample frame from
 	the specified track of an audio file.
 
-	stretch3to4 == AF_TRUE: size which user sees
-	stretch3to4 == AF_FALSE: size used in file
+	stretch3to4 == true: size which user sees
+	stretch3to4 == false: size used in file
 */
 float afGetFrameSize (AFfilehandle file, int trackid, int stretch3to4)
 {
@@ -172,7 +172,7 @@
 	}
 
 	currentTrack->v.byteOrder = byteorder;
-	currentTrack->ms.modulesdirty = AF_TRUE;
+	currentTrack->ms.modulesdirty = true;
 
 	return AF_SUCCEED;
 }
@@ -284,7 +284,7 @@
 	if (_af_set_sample_format(&track->v, sampleFormat, sampleWidth) == AF_FAIL)
 		return -1;
 
-	track->ms.modulesdirty = AF_TRUE;
+	track->ms.modulesdirty = true;
 
 	return 0;
 }
@@ -317,7 +317,7 @@
 		return -1;
 
 	track->v.channelCount = channelCount;
-	track->ms.modulesdirty = AF_TRUE;
+	track->ms.modulesdirty = true;
 
 	if (track->channelMatrix)
 		free(track->channelMatrix);
@@ -353,7 +353,7 @@
 	}
 
 	track->v.sampleRate = rate;
-	track->ms.modulesdirty = AF_TRUE;
+	track->ms.modulesdirty = true;
 
 	return 0;
 }
diff -Nru audiofile-0.2.6/libaudiofile/g711.c audiofile-0.2.7/libaudiofile/g711.c
--- audiofile-0.2.6/libaudiofile/g711.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/g711.c	2010-03-17 09:43:40.000000000 +0100
@@ -38,7 +38,7 @@
 #define	SEG_MASK	(0x70)		/* Segment field mask. */
 
 /* copy from CCITT G.711 specifications */
-static unsigned char _u2a[128] = {		/* u- to A-law conversions */
+static const unsigned char _u2a[128] = {		/* u- to A-law conversions */
 	1,	1,	2,	2,	3,	3,	4,	4,
 	5,	5,	6,	6,	7,	7,	8,	8,
 	9,	10,	11,	12,	13,	14,	15,	16,
@@ -56,7 +56,7 @@
 	113,	114,	115,	116,	117,	118,	119,	120,
 	121,	122,	123,	124,	125,	126,	127,	128};
 
-static unsigned char _a2u[128] = {		/* A- to u-law conversions */
+static const unsigned char _a2u[128] = {		/* A- to u-law conversions */
 	1,	3,	5,	7,	9,	11,	13,	15,
 	16,	17,	18,	19,	20,	21,	22,	23,
 	24,	25,	26,	27,	28,	29,	30,	31,
@@ -77,7 +77,7 @@
 /* see libst.h */
 #ifdef	SUPERCEDED
 
-static short seg_end[8] = {0xFF, 0x1FF, 0x3FF, 0x7FF,
+static const short seg_end[8] = {0xFF, 0x1FF, 0x3FF, 0x7FF,
 			    0xFFF, 0x1FFF, 0x3FFF, 0x7FFF};
 
 static int
diff -Nru audiofile-0.2.6/libaudiofile/iff.c audiofile-0.2.7/libaudiofile/iff.c
--- audiofile-0.2.6/libaudiofile/iff.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/iff.c	2010-03-22 06:42:44.000000000 +0100
@@ -30,14 +30,10 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
-#include <stdio.h>
+#include <stdint.h>
+#include <stdlib.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "audiofile.h"
 #include "afinternal.h"
 #include "byteorder.h"
@@ -49,19 +45,19 @@
 #include "iff.h"
 
 static status ParseMiscellaneous (AFfilehandle file, AFvirtualfile *fh,
-	u_int32_t type, size_t size);
-static status ParseVHDR (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+	uint32_t type, size_t size);
+static status ParseVHDR (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
-static status ParseBODY (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseBODY (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size);
 
 _AFfilesetup _af_iff_default_filesetup =
 {
 	_AF_VALID_FILESETUP,	/* valid */
 	AF_FILE_IFF_8SVX,	/* fileFormat */
-	AF_TRUE,		/* trackSet */
-	AF_TRUE,		/* instrumentSet */
-	AF_TRUE,		/* miscellaneousSet */
+	true,			/* trackSet */
+	true,			/* instrumentSet */
+	true,			/* miscellaneousSet */
 	1,			/* trackCount */
 	NULL,			/* tracks */
 	0,			/* instrumentCount */
@@ -72,16 +68,16 @@
 
 bool _af_iff_recognize (AFvirtualfile *fh)
 {
-	u_int8_t	buffer[8];
+	uint8_t	buffer[8];
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(buffer, 1, 8, fh) != 8 || memcmp(buffer, "FORM", 4) != 0)
-		return AF_FALSE;
+		return false;
 	if (af_fread(buffer, 1, 4, fh) != 4 || memcmp(buffer, "8SVX", 4) != 0)
-		return AF_FALSE;
+		return false;
 
-	return AF_TRUE;
+	return true;
 }
 
 /*
@@ -89,7 +85,7 @@
 	and annotation chunks.
 */
 static status ParseMiscellaneous (AFfilehandle file, AFvirtualfile *fh,
-	u_int32_t type, size_t size)
+	uint32_t type, size_t size)
 {
 	int	misctype = AF_MISC_UNRECOGNIZED;
 
@@ -127,14 +123,14 @@
 /*
 	Parse voice header chunk.
 */
-static status ParseVHDR (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseVHDR (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size)
 {
 	_Track		*track;
-	u_int32_t	oneShotSamples, repeatSamples, samplesPerRepeat;
-	u_int16_t	sampleRate;
-	u_int8_t	octaves, compression;
-	u_int32_t	volume;
+	uint32_t	oneShotSamples, repeatSamples, samplesPerRepeat;
+	uint16_t	sampleRate;
+	uint8_t		octaves, compression;
+	uint32_t	volume;
 
 	assert(!memcmp(&type, "VHDR", 4));
 
@@ -144,8 +140,8 @@
 	af_read_uint32_be(&repeatSamples, fh);
 	af_read_uint32_be(&samplesPerRepeat, fh);
 	af_read_uint16_be(&sampleRate, fh);
-	af_fread(&octaves, 1, 1, fh);
-	af_fread(&compression, 1, 1, fh);
+	af_read_uint8(&octaves, fh);
+	af_read_uint8(&compression, fh);
 	af_read_uint32_be(&volume, fh);
 
 	track->f.sampleWidth = 8; 
@@ -160,7 +156,7 @@
 	return AF_SUCCEED;
 }
 
-static status ParseBODY (AFfilehandle file, AFvirtualfile *fh, u_int32_t type,
+static status ParseBODY (AFfilehandle file, AFvirtualfile *fh, uint32_t type,
 	size_t size)
 {
 	_Track		*track;
@@ -183,7 +179,7 @@
 
 status _af_iff_read_init (AFfilesetup setup, AFfilehandle file)
 {
-	u_int32_t	type, size, formtype;
+	uint32_t	type, size, formtype;
 	size_t		index;
 	_Track		*track;
 
@@ -214,7 +210,7 @@
 
 	while (index < size)
 	{
-		u_int32_t	chunkid = 0, chunksize = 0;
+		uint32_t	chunkid = 0, chunksize = 0;
 		status		result = AF_SUCCEED;
 
 		af_fread(&chunkid, 4, 1, file->fh);
@@ -328,5 +324,5 @@
 		return AF_NULL_FILESETUP;
 	}
 
-	return _af_filesetup_copy(setup, &_af_iff_default_filesetup, AF_TRUE);
+	return _af_filesetup_copy(setup, &_af_iff_default_filesetup, true);
 }
diff -Nru audiofile-0.2.6/libaudiofile/iffwrite.c audiofile-0.2.7/libaudiofile/iffwrite.c
--- audiofile-0.2.6/libaudiofile/iffwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/iffwrite.c	2010-03-22 06:42:44.000000000 +0100
@@ -30,7 +30,7 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdlib.h>
 #include <string.h>
 
@@ -61,7 +61,7 @@
 
 status _af_iff_write_init (AFfilesetup setup, AFfilehandle file)
 {
-	u_int32_t	fileSize = 0;
+	uint32_t	fileSize = 0;
 
 	if (_af_filesetup_make_handle(setup, file) == AF_FAIL)
 		return AF_FAIL;
@@ -82,7 +82,7 @@
 
 status _af_iff_update (AFfilehandle file)
 {
-	u_int32_t	length;
+	uint32_t	length;
 
 	WriteVHDR(file);
 	WriteMiscellaneous(file);
@@ -103,11 +103,11 @@
 {
 	_Track		*track;
 	_IFFinfo	*iff;
-	u_int32_t	chunkSize;
-	u_int32_t	oneShotSamples, repeatSamples, samplesPerRepeat;
-	u_int16_t	sampleRate;
-	u_int8_t	octaves, compression;
-	u_int32_t	volume;
+	uint32_t	chunkSize;
+	uint32_t	oneShotSamples, repeatSamples, samplesPerRepeat;
+	uint16_t	sampleRate;
+	uint8_t		octaves, compression;
+	uint32_t	volume;
 
 	iff = (_IFFinfo *) file->formatSpecific;
 
@@ -143,8 +143,8 @@
 
 	octaves = 0;
 	compression = 0;
-	af_fwrite(&octaves, 1, 1, file->fh);
-	af_fwrite(&compression, 1, 1, file->fh);
+	af_write_uint8(&octaves, file->fh);
+	af_write_uint8(&compression, file->fh);
 
 	/* Volume is in fixed-point notation; 65536 means gain of 1.0. */
 	volume = 65536;
@@ -156,7 +156,7 @@
 static status WriteBODY (AFfilehandle file)
 {
 	_Track		*track;
-	u_int32_t	chunkSize;
+	uint32_t	chunkSize;
 	_IFFinfo	*iff = (_IFFinfo *) file->formatSpecific;
 
 	track = _af_filehandle_get_track(file, AF_DEFAULT_TRACK);
@@ -182,9 +182,9 @@
 	/* Add a pad byte to the end of the chunk if the chunk size is odd. */
 	if ((chunkSize % 2) == 1)
 	{
-		u_int8_t	zero = 0;
+		uint8_t	zero = 0;
 		af_fseek(file->fh, iff->BODY_offset + 8 + chunkSize, SEEK_SET);
-		af_fwrite(&zero, 1, 1, file->fh);
+		af_write_uint8(&zero, file->fh);
 	}
 
 	return AF_SUCCEED;
@@ -209,8 +209,8 @@
 	for (i=0; i<file->miscellaneousCount; i++)
 	{
 		_Miscellaneous	*misc = &file->miscellaneous[i];
-		u_int32_t	chunkType, chunkSize;
-		u_int8_t	padByte = 0;
+		uint32_t	chunkType, chunkSize;
+		uint8_t		padByte = 0;
 
 		switch (misc->type)
 		{
@@ -240,7 +240,7 @@
 			af_fseek(file->fh, misc->size, SEEK_CUR);
 
 		if (misc->size % 2 != 0)
-			af_fwrite(&padByte, 1, 1, file->fh);
+			af_write_uint8(&padByte, file->fh);
 	}
 
 	return AF_SUCCEED;
diff -Nru audiofile-0.2.6/libaudiofile/instrument.c audiofile-0.2.7/libaudiofile/instrument.c
--- audiofile-0.2.6/libaudiofile/instrument.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/instrument.c	2010-03-17 09:43:40.000000000 +0100
@@ -53,9 +53,9 @@
 #include "setup.h"
 #include "util.h"
 
-#include <stdio.h>
+#include <stdlib.h>
 
-extern _Unit _af_units[];
+extern const _Unit _af_units[];
 
 /*
 	Initialize instrument id list for audio file.
@@ -73,7 +73,7 @@
 	_af_setup_free_instruments(setup);
 
 	setup->instrumentCount = ninsts;
-	setup->instrumentSet = AF_TRUE;
+	setup->instrumentSet = true;
 
 	setup->instruments = _af_instsetup_new(setup->instrumentCount);
 
@@ -235,7 +235,7 @@
 */
 void afGetInstParams (AFfilehandle file, int inst, AUpvlist pvlist, int npv)
 {
-	_af_instparam_get(file, inst, pvlist, npv, AF_FALSE);
+	_af_instparam_get(file, inst, pvlist, npv, false);
 }
 
 long afGetInstParamLong (AFfilehandle file, int inst, int param)
@@ -246,7 +246,7 @@
 	AUpvsetparam(pvlist, 0, param);
 	AUpvsetvaltype(pvlist, 0, AU_PVTYPE_LONG);
 
-	_af_instparam_get(file, inst, pvlist, 1, AF_TRUE);
+	_af_instparam_get(file, inst, pvlist, 1, true);
 
 	AUpvgetval(pvlist, 0, &val);
 	AUpvfree(pvlist);
diff -Nru audiofile-0.2.6/libaudiofile/ircam.c audiofile-0.2.7/libaudiofile/ircam.c
--- audiofile-0.2.6/libaudiofile/ircam.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/ircam.c	2010-03-22 01:25:11.000000000 +0100
@@ -30,14 +30,10 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
-#include <stdio.h>
+#include <stdint.h>
+#include <stdlib.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "afinternal.h"
 #include "audiofile.h"
 #include "util.h"
@@ -49,12 +45,10 @@
 #include "ircam.h"
 
 /*
-	These magic numbers are fucking stupid.
-
 	Here ircam_mips_magic refers to little-endian MIPS, not SGI IRIX,
 	which uses big-endian MIPS.
 */
-const u_int8_t _af_ircam_vax_magic[4] = {0x64, 0xa3, 0x01, 0x00},
+const uint8_t _af_ircam_vax_magic[4] = {0x64, 0xa3, 0x01, 0x00},
 	_af_ircam_sun_magic[4] = {0x64, 0xa3, 0x02, 0x00},
 	_af_ircam_mips_magic[4] = {0x64, 0xa3, 0x03, 0x00},
 	_af_ircam_next_magic[4] = {0x64, 0xa3, 0x04, 0x00};
@@ -63,9 +57,9 @@
 {
 	_AF_VALID_FILESETUP,	/* valid */
 	AF_FILE_IRCAM,		/* fileFormat */
-	AF_TRUE,		/* trackSet */
-	AF_TRUE,		/* instrumentSet */
-	AF_TRUE,		/* miscellaneousSet */
+	true,			/* trackSet */
+	true,			/* instrumentSet */
+	true,			/* miscellaneousSet */
 	1,			/* trackCount */
 	NULL,			/* tracks */
 	0,			/* instrumentCount */
@@ -76,12 +70,12 @@
 
 bool _af_ircam_recognize (AFvirtualfile *fh)
 {
-	u_int8_t	buffer[4];
+	uint8_t	buffer[4];
 
 	af_fseek(fh, 0, SEEK_SET);
 
 	if (af_fread(buffer, 4, 1, fh) != 1)
-		return AF_FALSE;
+		return false;
 
 	/* Check to see if the file's magic number matches. */
 	if (memcmp(buffer, _af_ircam_vax_magic, 4) == 0 ||
@@ -89,10 +83,10 @@
 		memcmp(buffer, _af_ircam_mips_magic, 4) == 0 ||
 		memcmp(buffer, _af_ircam_next_magic, 4) == 0)
 	{
-		return AF_TRUE;
+		return true;
 	}
 
-	return AF_FALSE;
+	return false;
 }
 
 AFfilesetup _af_ircam_complete_setup (AFfilesetup setup)
@@ -185,16 +179,16 @@
 		return AF_NULL_FILESETUP;
 	}
 
-	return _af_filesetup_copy(setup, &_af_ircam_default_filesetup, AF_TRUE);
+	return _af_filesetup_copy(setup, &_af_ircam_default_filesetup, true);
 }
 
 status _af_ircam_read_init (AFfilesetup setup, AFfilehandle handle)
 {
 	_Track		*track;
-	u_int8_t	magic[4];
+	uint8_t		magic[4];
 	float		rate;
-	u_int32_t	channels;
-	u_int32_t	packMode;
+	uint32_t	channels;
+	uint32_t	packMode;
 
 	float		maxAmp = 1.0;
 
@@ -305,7 +299,7 @@
 		changed if compressed data formats were supported.
 	*/
 	track->totalfframes = track->data_size /
-		_af_format_frame_size(&track->f, AF_FALSE);
+		(int) _af_format_frame_size(&track->f, false);
 
 	track->fpos_first_frame = SIZEOF_BSD_HEADER;
 	track->nextfframe = 0;
diff -Nru audiofile-0.2.6/libaudiofile/ircamwrite.c audiofile-0.2.7/libaudiofile/ircamwrite.c
--- audiofile-0.2.6/libaudiofile/ircamwrite.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/ircamwrite.c	2010-03-22 01:25:11.000000000 +0100
@@ -30,14 +30,10 @@
 #endif
 
 #include <assert.h>
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdio.h>
 #include <string.h>
 
-#ifdef HAVE_INTTYPES_H
-#include <inttypes.h>
-#endif
-
 #include "afinternal.h"
 #include "audiofile.h"
 #include "util.h"
@@ -49,24 +45,22 @@
 #include "ircam.h"
 
 /*
-	These magic numbers are fucking stupid.
-
 	Here ircam_mips_magic refers to little-endian MIPS, not SGI IRIX,
 	which uses big-endian MIPS.
 */
-extern const u_int8_t _af_ircam_vax_magic[4], _af_ircam_sun_magic[4],
+extern const uint8_t _af_ircam_vax_magic[4], _af_ircam_sun_magic[4],
 	_af_ircam_mips_magic[4], _af_ircam_next_magic[4];
 
 /* We write IRCAM files using the native byte order. */
 status _af_ircam_write_init (AFfilesetup setup, AFfilehandle handle)
 {
 	_Track		*track;
-	const u_int8_t	*magic;
+	const uint8_t	*magic;
 	float		rate;
-	u_int32_t	channels;
-	u_int32_t	packMode;
-	u_int32_t	dataOffset;
-	u_int8_t	zeros[SIZEOF_BSD_HEADER];
+	uint32_t	channels;
+	uint32_t	packMode;
+	uint32_t	dataOffset;
+	uint8_t		zeros[SIZEOF_BSD_HEADER];
 
 	float		maxAmp = 1.0;
 
diff -Nru audiofile-0.2.6/libaudiofile/loop.c audiofile-0.2.7/libaudiofile/loop.c
--- audiofile-0.2.6/libaudiofile/loop.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/loop.c	2010-03-17 06:31:21.000000000 +0100
@@ -51,7 +51,7 @@
 	_af_setup_free_loops(setup, instno);
 
 	setup->instruments[instno].loopCount = nloops;
-	setup->instruments[instno].loopSet = AF_TRUE;
+	setup->instruments[instno].loopSet = true;
 
 	if (nloops == 0)
 		setup->instruments[instno].loops = NULL;
@@ -128,7 +128,7 @@
 */
 void afSetLoopMode (AFfilehandle file, int instid, int loopid, int mode)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop	*loop = getLoop(file, instid, loopid, true);
 
 	if (!loop)
 		return;
@@ -149,7 +149,7 @@
 */
 int afGetLoopMode (AFfilehandle file, int instid, int loopid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
@@ -162,7 +162,7 @@
 */
 int afSetLoopCount (AFfilehandle file, int instid, int loopid, int count)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop	*loop = getLoop(file, instid, loopid, true);
 
 	if (loop == NULL)
 		return AF_FAIL;
@@ -182,7 +182,7 @@
 */
 int afGetLoopCount(AFfilehandle file, int instid, int loopid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
@@ -196,7 +196,7 @@
 void
 afSetLoopStart(AFfilehandle file, int instid, int loopid, int markid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop	*loop = getLoop(file, instid, loopid, true);
 
 	if (!loop)
 		return;
@@ -209,7 +209,7 @@
 */
 int afGetLoopStart (AFfilehandle file, int instid, int loopid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
@@ -223,7 +223,7 @@
 int afSetLoopStartFrame (AFfilehandle file, int instid, int loopid, AFframecount startFrame)
 {
 	int	trackid, beginMarker;
-	_Loop	*loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop	*loop = getLoop(file, instid, loopid, true);
 
 	if (loop == NULL)
 		return -1;
@@ -247,7 +247,7 @@
 AFframecount afGetLoopStartFrame (AFfilehandle file, int instid, int loopid)
 {
 	int	trackid, beginMarker;
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
@@ -263,7 +263,7 @@
 */
 void afSetLoopTrack (AFfilehandle file, int instid, int loopid, int track)
 {
-	_Loop *loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop *loop = getLoop(file, instid, loopid, true);
 
 	if (!loop) return;
 
@@ -275,7 +275,7 @@
 */
 int afGetLoopTrack (AFfilehandle file, int instid, int loopid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
@@ -288,7 +288,7 @@
 */
 void afSetLoopEnd (AFfilehandle file, int instid, int loopid, int markid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop	*loop = getLoop(file, instid, loopid, true);
 
 	if (!loop)
 		return;
@@ -301,7 +301,7 @@
 */
 int afGetLoopEnd (AFfilehandle file, int instid, int loopid)
 {
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
@@ -315,7 +315,7 @@
 int afSetLoopEndFrame (AFfilehandle file, int instid, int loopid, AFframecount endFrame)
 {
 	int	trackid, endMarker;
-	_Loop	*loop = getLoop(file, instid, loopid, AF_TRUE);
+	_Loop	*loop = getLoop(file, instid, loopid, true);
 
 	if (loop == NULL)
 		return -1;
@@ -340,7 +340,7 @@
 AFframecount afGetLoopEndFrame (AFfilehandle file, int instid, int loopid)
 {
 	int	trackid, endMarker;
-	_Loop	*loop = getLoop(file, instid, loopid, AF_FALSE);
+	_Loop	*loop = getLoop(file, instid, loopid, false);
 
 	if (loop == NULL)
 		return -1;
diff -Nru audiofile-0.2.6/libaudiofile/Makefile.am audiofile-0.2.7/libaudiofile/Makefile.am
--- audiofile-0.2.6/libaudiofile/Makefile.am	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/Makefile.am	2010-03-12 09:57:54.000000000 +0100
@@ -29,7 +29,7 @@
 libaudiofile_la_LIBADD = modules/libmodules.la
 
 libaudiofile_la_LDFLAGS = -version-info 0:2:0 -no-undefined \
-	-export-symbols audiofile.exports
+	-export-symbols $(srcdir)/audiofile.exports
 
 include_HEADERS = audiofile.h aupvlist.h af_vfs.h
 
diff -Nru audiofile-0.2.6/libaudiofile/marker.c audiofile-0.2.7/libaudiofile/marker.c
--- audiofile-0.2.6/libaudiofile/marker.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/marker.c	2010-03-17 06:31:21.000000000 +0100
@@ -86,7 +86,7 @@
 		track->markers[i].comment = _af_strdup("");
 	}
 
-	track->markersSet = AF_TRUE;
+	track->markersSet = true;
 }
 
 void afInitMarkName(AFfilesetup setup, int trackid, int markid,
diff -Nru audiofile-0.2.6/libaudiofile/misc.c audiofile-0.2.7/libaudiofile/misc.c
--- audiofile-0.2.6/libaudiofile/misc.c	2004-03-06 07:39:23.000000000 +0100
+++ audiofile-0.2.7/libaudiofile/misc.c	2010-03-17 06:31:21.000000000 +0100
@@ -29,7 +29,7 @@
 #include <config.h>
 #endif
 
-#include <sys/types.h>
+#include <stdint.h>
 #include <stdlib.h>
 #include <string.h>
 
@@ -99,7 +99,7 @@
 		}
 	}
 
-	setup->miscellaneousSet = AF_TRUE;
+	setup->miscellaneousSet = true;
 }
 
 int afGetMiscIDs (AFfilehandle file, int *ids)
